%define oname   minitest

Name:       ruby-%{oname}
Version:    2.1.0
Release:    %mkrel 1
Summary:    A complete suite of testing facilities supporting TDD, BDD, mocking, and benchmarking
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/bfts
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.6.1
BuildRequires: rubygem(minitest) >= 1.6.0
BuildArch:  noarch

%description
minitest provides a complete suite of testing facilities supporting
TDD, BDD, mocking, and benchmarking.
minitest/unit is a small and incredibly fast unit testing framework.
It provides a rich set of assertions to make your tests clean and
readable.
minitest/spec is a functionally complete spec engine. It hooks onto
minitest/unit and seamlessly bridges test assertions over to spec
expectations.
minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner. Now you can assert that your newb
co-worker doesn't replace your linear algorithm with an exponential
one!
minitest/mock by Steven Baker, is a beautifully tiny mock object
framework.
minitest/pride shows pride in testing and adds coloring to your test
output.
minitest/unit is meant to have a clean implementation for language
implementors that need a minimal set of methods to bootstrap a working
test suite. For example, there is no magic involved for test-case
discovery.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

# fix shebang
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/minitest/spec.rb

%clean
rm -rf %{buildroot}




%changelog
* Wed Apr 13 2011 shikamaru <shikamaru> 2.1.0-1.mga1
+ Revision: 84707
- new version 2.1.0

* Sat Jan 29 2011 shikamaru <shikamaru> 2.0.2-1.mga1
+ Revision: 43468
- New version 2.0.2
- update summary according to upstream

* Fri Jan 28 2011 shikamaru <shikamaru> 2.0.0-1.mga1
+ Revision: 42996
- New version 2.0.0
- add BR
- fix group for doc subpackage
- update description from upstream
- remove useless BuildArch

* Tue Jan 25 2011 shikamaru <shikamaru> 1.7.1-5.mga1
+ Revision: 39598
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 1.7.1-4.mga1
+ Revision: 34685
- add check section

* Sun Jan 23 2011 shikamaru <shikamaru> 1.7.1-3.mga1
+ Revision: 34652
- imported package ruby-minitest


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@mandriva.org> - 1.7.1-3mdv2011.0
- Apply new ruby policies

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 1.7.1-2mdv2011.0
+ Revision: 618332
- add necessary provides

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.7.1-1mdv2011.0
+ Revision: 579406
- new release: 1.7.1

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.5.0-1mdv2010.1
+ Revision: 500539
- import rubygem-minitest


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.5.0-1
- initial release
